Module | Sequel::Plugins::ForceEncoding::InstanceMethods
In: | lib/sequel/plugins/force_encoding.rb

### Methods

merge_db_update set_values

### Public Instance methods

merge_db_update(row)

Allow the force encoding plugin to work with the identity_map plugin by typecasting new values.

[Source]

        # File lib/sequel/plugins/force_encoding.rb, line 45
    45:         def merge_db_update(row)
    46:           super(force_hash_encoding(row))
    47:         end

set_values(row)

Force the encoding of all string values when setting the instance‘s values.

[Source]

        # File lib/sequel/plugins/force_encoding.rb, line 50
    50:         def set_values(row)
    51:           super(force_hash_encoding(row))
    52:         end

[Validate]